#!/bin/sh
############################################################################
#                                                                          #
#  Copyright (c) 2001, 2010 NoMachine, http://www.nomachine.com.           #
#                                                                          #
#  NXSERVER, NX protocol compression and NX extensions to this software    #
#  are copyright of NoMachine. Redistribution and use of the present       #
#  software is allowed according to terms specified in the file LICENSE    #
#  which comes in the source distribution.                                 #
#                                                                          #
#  Check http://www.nomachine.com/licensing.html for applicability.        #
#                                                                          #
#  NX and NoMachine are trademarks of Medialogic S.p.A.                    #
#                                                                          #
#  All rigths reserved.                                                    #
#                                                                          #
############################################################################

COMMAND_ECHO="/bin/echo"

NODE_ROOT='/usr/NX'

if test  $# -ne 3; then
  $COMMAND_ECHO "NX> 599 Error: Wrong parameters count." && exit 1
fi

if [ "x$1" != "xnx" -a "x$1" != "xroot" ];
  then
    $COMMAND_ECHO "NX> 599 Error: nxkeyadd.sh: only 'nx' user set key by this script" 1>&2
    exit 1
fi

COMMAND_SU="/bin/su"

COMMAND_NXNODE="$NODE_ROOT/bin/nxnode"

if [ ! -x $COMMAND_SU ];
then
  $COMMAND_ECHO "NX> 599 Error: command $COMMAND_SU doesn't exist"
  exit 1
fi
    
if [ ! -x $COMMAND_NXNODE ];
then
  $COMMAND_ECHO "NX> 599 Error: command $COMMAND_NXNODE doesn't exist"
 exit 1
fi

exec $COMMAND_ECHO 'setkey' | $COMMAND_SU $3 -c $COMMAND_NXNODE
