#!/bin/sh

NODE_ROOT='/usr/NX'

COMMAND_ECHO="/bin/echo"

COMMAND_CAT="/bin/cat"

if test $# -ne 2 ; then
  $COMMAND_ECHO "NX> 599 Error: Wrong parameters count." && exit 1
fi

checkPpid() {

  if [ "x$1" = "x" ];
  then
    $COMMAND_ECHO "Missing pid"
    return 1
  fi
  if [ ! -e /proc/$1/cmdline ];
  then
    $COMMAND_ECHO "Wrong pid: $1"
    return 1
  fi

  command=$(/bin/cat /proc/$1/cmdline)

  $COMMAND_ECHO "$command"
}

command=$(checkPpid $2)

if [ $? != 0 ];
then
  $COMMAND_ECHO "NX> 500 Error: $command"
  exit 1
fi

if [ "$command" != "$NODE_ROOT/bin/nxnode" ];
then
  $COMMAND_ECHO "NX> 500 Error: Only the nxnode or nxserver can run this script.\n";
  exit 1
fi

if [ ! -e $NODE_ROOT/etc/node.lic ];
then
  $COMMAND_ECHO "NX> 500 Error: No such file: $NODE_ROOT/etc/node.lic\n";
  exit 1
fi

$COMMAND_CAT $NODE_ROOT/etc/node.lic
